export declare function fastReduce<T = any, R = any>(subject: T[], iterator: (r: R, t: T, i: number, s: T[]) => R, initialValue: R): R;
export declare function fastMap<T = any, R = any>(subject: T[], iterator: (t: T, i: number, s: T[]) => R): R[];
export declare function fastFilter<T = any>(subject: T[], iterator: (t: T, i: number, s: T[]) => boolean): T[];
export declare function fastForEach<T = any>(subject: T[], iterator: (t: T, i: number, s: T[]) => void): void;
export declare function fastConcat<T = any>(...args: T[][]): T[];
export declare function fastCloneArray<T = any>(input: T[]): T[];
